dofile("scripts/LevelManager.lua");

LManager = LevelManager.create();



LManager:AddTable(1, 4);
LManager:AddTable(2, 4);

LManager:AddGuests(8, {female01, female03, male04, male02, uncle, aunt, female02, female03}, {uncle, aunt, female02, male03});

LManager:SetSeatingGroup(1, 4, 2000);
LManager:SetSeatingGroup(5, 8, 10000);

LManager:SetLevelNumber(1,2);
LManager:SetLevelScores(2900, 3900);
LManager:SetLevelTime(300000);
LManager:SetLevelSetting("seatingDifficultyLevel", 4);

LManager:AdjustGuestTolerance(80);

LManager:SetMusic("assets/audio/music/Big Band 2.ogg","assets/audio/music/Hava Nagela.ogg");

LManager:SetLevelSetting("bridesmaidsDelay", 5000);
LManager:SetLevelSetting("bridesmaidsChance", 100);

LManager:SetLevelSetting("cakeTipDelay", 3000);
LManager:SetLevelSetting("cakeTipChance", 100);

LManager:SetLevelSetting("matchGameDelay", 3000);
LManager:SetLevelSetting("matchGameLength", 10000);

gameObject = LManager:GenerateGameObject()

levelSetting = LManager:GenerateLevelSettings();

dofile( "scripts/LevelDialogGenerator.lua" );
